part of xwidgetbase;

class XContainerForImage extends StatelessWidget {
  final String? label;
  final IconData? icon;
  final Uint8List? image;
  final ValueChanged<String>? onChanged;
  final Function()? onTapImage;
  final Function()? onPressedEdit;
  final Function()? onPressedDelete;
  final Widget? child;
  final double? widthContainer;
  final double? heightContainer;
  final bool? visibleRow;
  XContainerForImage({this.label, this.onTapImage, this.onPressedEdit, this.onPressedDelete, this.onChanged, this.visibleRow = false, this.child, this.image, this.icon, this.widthContainer = 100, this.heightContainer = 100});

  Image getImageFromPickedFile(PickedFile filePicked, double witdh) {
    Uint8List bytes;
    var file = File(filePicked.path);
    bytes = file.readAsBytesSync();
    var i = Image.memory(bytes, width: witdh);
    return i;
  }

  Image getImageFromImage(Uint8List bytes, double width) {
    var i = Image.memory(
      bytes,
      fit: BoxFit.fill,
      width: width,
    );
    return i;
  }

  @override
  Widget build(BuildContext context) {
    return Container(
      color: Colors.black,
      width: widthContainer!,
      height: heightContainer,
      alignment: Alignment.center,
      child: Column(
        children: [
          Expanded(child: GestureDetector(onTap: onTapImage ?? () {}, child: getImageFromImage(image!, 100))),
          Visibility(
              visible: visibleRow!,
              child: Container(
                  width: widthContainer! - 15,
                  height: 30,
                  child: Row(
                    mainAxisAlignment: MainAxisAlignment.spaceAround,
                    children: <Widget>[
                      SizedBox(width: 2),
                      Expanded(child: Container(child: IconButton(onPressed: onPressedEdit, color: Colors.greenAccent.withOpacity(0.4), icon: Icon(Icons.edit, size: 18)))),
                      SizedBox(width: 5),
                      Expanded(child: Container(color: Colors.red, child: IconButton(color: Colors.white, onPressed: onPressedDelete, icon: Icon(Icons.delete, size: 18)))),
                      SizedBox(width: 2),
                    ],
                  ))),
        ],
      ),
    );
  }
}
